/*                                                                          */
/* Function    : host simulation, symchronize with DSP                      */

#include  "windef.h"
#include  "mbdr_dsp_cpu_common_hwimage.h"
#include  "mbdr_dsp_common_sync_msg.h"
#include  "mbdr_dsp_cyclic_buffer.h"


#ifndef  _MBDR_DSP_SDC_SYSTEM_SIMULATION_HOST_CODE_H
#define  _MBDR_DSP_SDC_SYSTEM_SIMULATION_HOST_CODE_H



/* first stage of synchronization with cpu */
extern void mbdr_dsp_host_sim_sync_with_dsp_wake_up(void);

/* second stage of synchronization with cpu */
extern void  mbdr_dsp_host_sim_sync_with_dsp_do_work_1_0(void);

extern void  mbdr_dsp_host_sim_sync_with_dsp_transition_to_state_2(void);

extern void  mbdr_dsp_host_sim_app_init_hook(void);

extern void  mbdr_dsp_host_sim_app_after_init_hook(LONG pi_mission_number);

/* reads and print next ERG of required mission            */
extern void  mbdr_dsp_sdc_system_simulation_host_process_erg(
                                                           SHORT pi_mission_number);

#endif
